commit 3f950093b856ef22c6f971374110b7b304ea3243
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 18:24:19 2011 -0400

    Update for lirc 0.9.0 release
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d6ec90c89d7a5634dc20f39f7478086272a7a4ff
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:42:22 2011 -0400

    lirc_sir: make it build w/o errors or warnings
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 4cb4f985a8ee11448478db10f8596c6236149242
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:41:17 2011 -0400

    lirc_serial: compat_ioctl doesn't work on pre-unlocked_ioctl kernels
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c2f63b8b17e67e9eb329ff743131eebe91e85dbf
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:33:30 2011 -0400

    lirc_parallel: resync with upstream kernel staging version
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 481fe61a9a03ffda6623eb56aee774cbfcb13b5c
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:17:36 2011 -0400

    lirc_imon: rip out device support redundant with upstream imon driver
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d4440833a7d5129647571d36545dc79b002209be
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:09:57 2011 -0400

    Remove obsolete lirc_mceusb driver, mceusb is upstream now
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit a875cfd694ff9311e931e6cd363fdfaad8c4bc56
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:07:33 2011 -0400

    Remove obsolete streamzap driver, streamzap is upstream now
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 536994c8c1123f0eab8dd3d600ff7dc763e5b8bb
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:05:29 2011 -0400

    Remove obsolete lirc_it8x drivers, ite-cir is upstream now
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c3ec839e0974185473b305000b898b18c7b56e13
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:02:05 2011 -0400

    lirc_imon: fix chunk_num may be used uninitialized
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 3f55f615bc57b078e25004bd252d25d674248d51
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Mar 25 17:00:32 2011 -0400

    Remove lirc_ene0100, obsoleted by upstream kernel ene-ir driver
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 77c9429dde46f108ab4ba47791977abae3a6af3c
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jan 18 00:08:34 2011 -0500

    lirc_serial: fix tx support (and a memory leak)
    
    Thanks to Jiri Fojtasek for pointing out my blunder.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 94bc8116ccef1b260c3e622909f1d314bbd1abb6
Author: Matthew Bodkin <matthew.bodkin@innovationone.ca>
Date:   Tue Dec 21 16:53:55 2010 -0500

    commandir: send_status vs. packetCounter bug fix
    
    Always get send_status for any value of packetCounter when transmitting.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 6b440d65b50f3d2fab0a618e7c35ee6a34cdc1e8
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Dec 20 17:29:07 2010 -0500

    lirc_serial: resync with in-kernel bits
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 08b42fe2442b0979c398ed75158d8e124702cfb9
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Dec 20 15:24:57 2010 -0500

    Attempt to make lirc_sir behave a bit better
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 2d69a41a790ab2c006cb46811beadd132286cbd5
Author: Jarod Wilson <jarod@redhat.com>
Date:   Thu Nov 11 10:40:06 2010 -0500

    lirc_serial: fill in dev pointer
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d8e64b052b4e5a572131f6844b5ec3ab1bc8f6ec
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 18:37:38 2010 -0400

    try to standardize remote key names a fair bit
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 9b182d0fc31407f33005c5b4fbed5b6ae0b1501f
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 18:31:51 2010 -0400

    updated firefly remote definition from Bastien Nocera and the MythTV wiki
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit a86cd108db0d85e13b7de929bec10d970a1ec010
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 18:30:15 2010 -0400

    make all remote names unique
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit b0d5795ce53ae806e8a9b3b7ce132f532da47f9f
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 16:34:14 2010 -0400

    add lirc encoder/decoder regression test
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 18631ab25317153ada3367736e9831f4712e9214
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 16:33:28 2010 -0400

    add release process notes for my own sanity
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 270aa61807be1be99f944874354d4f0d1a5883c9
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 14:18:13 2010 -0400

    Remove a few more CVS relics
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit e54f28a8d8f7afefe84a2e7f67575555dbf0438b
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 26 13:24:45 2010 -0400

    NEWS: add some highlights from my recent commit spree
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit ec43f496ad3c6a1665f126c656d8251d28f3b632
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 25 16:02:24 2010 -0400

    lircrcd: fix warning: reading through null pointer (argument 3)
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit f76225e16af3f139708889476efb3d500ec8c823
Author: Romain Henriet <romain-devel@laposte.net>
Date:   Mon Oct 25 13:04:24 2010 -0400

    atwf83: fix repeats and cpu spike on unplug
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit af6ea72df5101cc676e116ef9558355416489877
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 25 12:52:04 2010 -0400

    remove some dupe quotes in re-wrapped strings in prior commit
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 349e8a4d405484755126a0a7dbe06ca8606aa00c
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 25 12:34:27 2010 -0400

    reformat all userspace code to look more like kernel code
    
    I have a hard time reading code that isn't consistently formatted,
    and/or uses a format other than the Linux kernel CodingStandards format.
    So hey, lets make this all look more like kernel code. Entire diff
    generated by running the following over the daemons and tools subdirs:
    
    indent -npro -kr -i8 -ts8 -sob -l120 -ss -ncs -cp1 -il0
    
    Only differs from the kernel in that I went with 120 columns instead of
    80, as the 80 char limit often makes for nasty line-wraps.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 43439f1cf318ca0064c17d00d29595a465ff09b9
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 15:11:22 2010 -0400

    lirc_igorplugusb: need to wire chunk_size back up here...
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit eb6951f50c8a656ce50d1b9e68082551fd7bc85b
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 15:06:39 2010 -0400

    remove get_queue bits
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 52f4d7fc243e695f405be1958d4b8bfe7378b74b
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 14:37:27 2010 -0400

    hw_default: more debug info and reformatting of default_read
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 1c956610a4563f39a6387e860aa4aeff8573e894
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 14:00:04 2010 -0400

    lirc_it87: add another pnp id
    
    Jochen Kühner reports lirc_it87 works with his hardware with this device
    ID.
    
    Tested-by: Jochen Kühner <jochen.kuehner@gmx.de>
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 6d7e93037e1d134b566ac4cb059a203a39f54c3a
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 13:57:07 2010 -0400

    d'oh, stupid copy-n-paste compile fail fix
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 2d5e6d17d5aad3e2255a0a9befa50967a846d6a6
Author: Laurence Darby <ldarby@tuffmail.com>
Date:   Wed Oct 20 13:34:09 2010 -0400

    Python isn't a hard dependency, make it conditional
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 25d7959f12618fc5873e15f21befb85625c52ac2
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 13:28:01 2010 -0400

    Not using a static device major anymore
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 04eb7eddbe93f7b5df4b59d379116c90ead18fe7
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 13:24:11 2010 -0400

    More resync with upstreamed lirc kernel bits
    
    -Further sync lirc_dev with what's merged in the upstream kernel
    -Properly wire up fops in device-specific drivers
    
    Tested successfully with mceusb and streamzap on Red Hat Enterprise
    Linux 6 (2.6.32-based kernel).
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit dc10507beca8adf984cefc6f7e13b12d33a0d919
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 09:46:07 2010 -0400

    lirc_igorplugusb: accidentally reintroduced these, they cause more issues than they solve
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 2f41e81718987ca121e2c316a4a4b89e127ebce7
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 01:56:02 2010 -0400

    lirc_dev: sync up more with what's in-kernel now
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit f156fe3015325b09a2b7c85ed0d0edd74619f1c7
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 01:53:31 2010 -0400

    rip out some more legacy support
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c13e9f405fa2d680af713fc1cba4a1a4cf4aeabb
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Oct 20 00:24:24 2010 -0400

    drivers: cut out support for anything older than 2.6.18
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 0310ac343d286173d2aabfbdf3f6c55946a11ef8
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 19 16:00:00 2010 -0400

    lirc_igorplugusb: for loop ftw
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit b8669aca0408093eb3038d01c8364d6c5f5fc2ab
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 19 13:40:51 2010 -0400

    lirc_igorplugusb: assorted cleanup, resync with in-kernel igor code
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit b8e7204f3c54ca23abad3405feda3196c3bfb2d6
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 19 11:49:55 2010 -0400

    lirc_parallel: remove some stale/unused code
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 6ad9d4237fba95cba03e16a2b1d7cb190aa1afc8
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Oct 19 11:24:58 2010 -0400

    rip out support for anything prior to kernel 2.6.0
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 23cd3329450ddf0c3c27be1f4d310483db083551
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 18 23:06:27 2010 -0400

    lirc_it87: fix brain-dead fix
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c1a3993554d11ef82b9c2688c6b21fbf66c57747
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 18 22:50:12 2010 -0400

    lirc_it87: fill in dev. this driver is UGLY.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 173581b8327bdab2b852576191fd4f2f6784d255
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 18 12:12:26 2010 -0400

    lirc_dev: tighten up error-checking
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 99543e4ec814fb3e0e70f3770800d443ea1e6967
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Oct 18 11:51:04 2010 -0400

    lirc_dev: get irctl from inode again, and de-generify some function names
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 3d2a756bccde85388a05f514e8b6e93f40036a81
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 16 20:13:46 2010 -0400

    missed a few minor things with the ite8709 to it85 conversion
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 06bbae8e74ab39672b15f7ca72b87685eaf7b2d5
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 15:01:07 2010 -0400

    hw_mplay: attempt to add support for Monueal Moncaso IR
    
    Based on the modified mplay_init function posted to lirc-list by
    "123justme", which reportedly works for his Monueal Moncaso 312 and
    another users Moncaso 320. Reworked to clean up formatting and appear as
    a separate hardware target, mplay2, instead of screwing with support for
    the already supported devices. Hope I got it right...
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c4497acc471ccbd280fef24aa463539b58b7eb08
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 12:50:43 2010 -0400

    ignore .ko.unsigned cruft generated on el6 too
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit b4c78a445085a47e0d5a44e15406adf615fb1861
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 12:48:31 2010 -0400

    lirc_it85: merge further improvements from ITE
    
    Based on changes in a c file provided by Yan-Min Lin at ITE. Supposed to
    correct the EC register indexes and read/write functions.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d2cabbf719939cfe1b84a6a4c26ad57e83f78119
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 11:43:55 2010 -0400

    lirc_it85: update register defs (from Yan-Min Lin at ITE)
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 4552a7d9ccf50481297bd99ef2b99f204f365b6d
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 11:08:19 2010 -0400

    lirc_it85: first round of ite8709 to it85 naming code coversion
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit f96a6cf4953639b6d59a515728ba09142839daab
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 15 10:46:49 2010 -0400

    Rename ite8709 driver to it85
    
    Per ITE, ITE8709 is just the PNP ID of the device, the actual chip is
    IT85XX. This is in preparation for a follow-up patch from ITE themselves
    that improves device support.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 8f2a5b0c458130106cd7891c80f406cd5a80b0ba
Author: Jarod Wilson <jarod@redhat.com>
Date:   Thu Oct 14 16:08:44 2010 -0400

    lirc_dev: set private_data sooner, check for NULL irctl
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 1b49a8391ff236c54dd47ee906c6310401986624
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 15:11:58 2010 -0400

    fix assorted compile warnings
    
    Mostly printf mask type mismatches post-type-conversion, but also some
    irxevent fixes where we were passing unsigned values for x/y coordinates
    that should be signed.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 009e83241048be58ed7f2ae4a7414acac795e578
Merge: fe0bf0d 93a365c
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 14:24:38 2010 -0400

    Merge branch 'master' of ssh://lirc.git.sourceforge.net/gitroot/lirc/lirc

commit fe0bf0d7e60e34dcacc8c50954958694355a3d4b
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 14:18:56 2010 -0400

    lirc_dev: check for valid irctl in ioctl and unregister
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 93a365cd79bb48ffa3cbee0f6ab9f9d65a634bee
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 01:08:25 2010 -0400

    update NEWS with some of the most recent changes
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 1c74b4dffa4730fda9ee662c7d880a7e7c73c1fa
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 00:57:25 2010 -0400

    lirc_dev: fix possible oops on older kernels
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 03c19b086ec8dc0c353e48b9bc373e242e33ec7b
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 00:43:10 2010 -0400

    add debug/simrec binaries to gitignore list
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 36e765fb0e90a5de63c93174c256db2bb4aea205
Author: Jarod Wilson <jarod@redhat.com>
Date:   Sat Oct 9 00:38:34 2010 -0400

    lircd: fix things up so decode behaves correctly
    
    There were a few things I changed to __u32 earlier that should have been
    left as unsigned long, and the old #ifdef __GLIBC__ hack appears to be
    no longer necessary with ir_code as a __u64 (could be glibc got fixed,
    not sure, but it works, so lets drop the cruft). Also converts a few
    things that are type lirc_t that store return values from functions that
    returned unsigned longs (now __u32's, mostly) over to __u32 types.
    
    With this, lirc encode and decode behave 100% identical with 0.8.7
    again, at least in testing on a 64-bit system...
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 46cbc5482c456c7dd618e72e9ed98355013a76ad
Author: Christoph Bartelmus <lirc@bartelmus.de>
Date:   Fri Oct 8 16:51:24 2010 -0400

    lircd: fix timing issue w/repeat after release
    
    > I can't really make sense of this log, but one thing that caught my eye
    > was "lircd: repeat indicated although release was detected before" right
    > near the bottom...
    
    Yep, that's the problem.
    
    > The config is a little different from the last one I sent you, only
    > because I've been playing around a bit, but it still does it so I assume
    > it makes no difference. You can see the config as it's parsed in the
    > log.
    
    Doesn't matter. I understand now what happens and why I wasn't able to
    reproduce it with the current simulation tools.
    I hacked together a better simulator and can see the same behaviour that
    you described.
    
    Attached is a patch that should fix the problem.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 228f8d3be047337286a371a429b13f36c84f9e3e
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 8 16:19:57 2010 -0400

    lirc_sir: fixup two missed ioctl -> __u32 conversions
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 714bcdc0e177024d21c20174814e54dd964e6560
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Oct 8 16:02:09 2010 -0400

    lirc.h: add back non-linux includes. may still be missing something for __u32 though...
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 7138e117e3d015d04138fdb9892e032bae5a666c
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Sep 28 18:03:07 2010 -0400

    gitignore generated man pages too
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d7101e692a479153908f5e8c1ac3027993e26177
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Sep 28 17:48:12 2010 -0400

    massive conversion to portable types
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 6c6402d3b2b75aa80f9fc86d3dfa6d63d6900958
Author: Jarod Wilson <jarod@redhat.com>
Date:   Thu Aug 26 18:14:31 2010 -0400

    drivers: use in-kernel lirc headers for 2.6.36 and up
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit ac2a226eba5979cb8db46fccfdb30eb2873da7a4
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Jul 14 00:07:06 2010 -0400

    moving INSTALL to INSTALL.txt so I can ignore IGNORE, which autogen.sh keeps rebuilding
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit c4ad345bd9218495fc1a03deb8197c4e74bfe664
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jul 13 23:33:05 2010 -0400

    Fun with gitignore and whatnot
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 2d91ed98ea0df80c9103ceb4a4f28a08ee56dd83
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jul 13 23:11:42 2010 -0400

    these ioctl defines are needed by lircd
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 6c2ca2920c4caa9d13c5f107b89a02df19b3bf26
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jul 13 23:10:47 2010 -0400

    No need for compat ioctls when we use u32 for all params
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit d1672cf6eea5c220d6954cba0e75816e0157e22f
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jul 13 23:03:19 2010 -0400

    pull in slightly updated upstreamed lirc.h
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 8d8e0fc486a3c00e63f32bb1b7897c26c6fb731a
Author: Jarod Wilson <jarod@redhat.com>
Date:   Tue Jul 13 22:57:28 2010 -0400

    Update version to 0.9.0-git
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit e9102df48d1747ec0ccd53156729b5850cdfc401
Author: Jarod Wilson <jarod@redhat.com>
Date:   Mon Sep 6 13:28:51 2010 -0400

    lirc 0.8.7 release
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 12fca6073d6d4a310c57542b7ad524dfdd833639
Author: Jarod Wilson <jarod@redhat.com>
Date:   Wed Sep 1 19:32:55 2010 -0400

    mceusb: another new spinel plus/asus device ID
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 35e4940f1a13235de2527b69e05330e8ffcf4a99
Author: Matthew Bodkin <innovationone@users.sourceforge.net>
Date:   Tue Aug 31 17:19:31 2010 -0400

    commandir: fix cast to prevent segfault in set_transmitters
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 010fb484538a6bb3ced48f2678f8c92c8c3304dc
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Aug 27 17:22:12 2010 -0400

    mceusb: add an ASUS device ID
    
    Reported in lirc sf.net tracker
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit cdc58f67ca2bb78d50dee7110c3267fceeeca5d0
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Aug 27 01:04:46 2010 -0400

    Update NEWS w/recent new bits
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 22a87683771eb45099713af70543a4e3a36ee200
Author: John Wehle <john@feith.com>
Date:   Fri Aug 27 00:55:31 2010 -0400

    support usb-uirt on FreeBSD
    
    The enclosed lightly tested patch allows lirc to build on FreeBSD 8.1
    and talk to an usb-uirt.  Note that the FreeBSD uftdi driver module
    needs to be patch in order to recognize the usb-uirt.  The necessary
    changes are logged with the FreeBSD bugs database as usb/149900.
    
    Changes:
    
     1) Include <netinet/in.h> when compiling irsend.c.
    
     2) Include <sys/ioctl.h> when compiling lircd.c.  For simplicity you
        may want to included it on all platforms rather than using the
        current conditional include.
    
     3) Mark uinputfd stuff in lircmd.c as specific to linux.  I used the
        same approach as had already been done for the uinputfd stuff in
        lircd.c.
    
     4) Normalize tv in hw_uirt2_common.c mywaitfordata to avoid an
        EINVAL when calling select.  I used the same approach as had
        already been done elsewhere in the code.
    
     5) Also set the character size and hardware handshaking when setting
        up the serial port for the usb-uirt.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 465c73b52762952da71ec9366530a5999fa773dc
Author: John Wehle <john@feith.com>
Date:   Fri Aug 27 00:39:45 2010 -0400

    daemon: quiet spurious serial invalid lock complaints
    
    The enclosed lightly tested patch quiets some spurious serial invalid
    lock complaints which occur on FreeBSD 8.1.
    
    Changes:
    
     1) Skip "." and ".." when looking for locks.
    
     2) Requiring the pid in the lock file to be newline terminated is
        overly strict ... treat it as valid if it's the only thing in
        the file or if it's newline terminated.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit 671071b1cffbc7bb7510d7c859a5ff4906d3382f
Author: Jarod Wilson <jarod@redhat.com>
Date:   Fri Aug 27 00:38:29 2010 -0400

    lirc_parallel: remove non-smp requirement
    
    It *probably* works okay enough on an smp kernel. Certainly compiles, so
    we can go about fixing it up from there.
    
    Signed-off-by: Jarod Wilson <jarod@redhat.com>

commit dacf42c08c919dc8b42f17ef8cafdfae11a7faa3
Author: innovationone <innovationone>
Date:   Wed Aug 25 23:21:08 2010 +0000

    - CommandIR driver signal queuing rewritten into linked lists
    - Support for CommandIR III added
    - Much cleanup and formatting

commit 1c14a1ebee1c179970fa39ebb4bbd1a2e6f75c6b
Author: jarodwilson <jarodwilson>
Date:   Tue Aug 17 21:03:23 2010 +0000

    fixup 2.6.35+ compat (pointed out by Sander Knopper)

commit 1213809353d40bfd94f220862a8ad68a7cd4c47c
Author: jarodwilson <jarodwilson>
Date:   Mon Aug 16 20:20:45 2010 +0000

    use unlocked_ioctl on 2.6.35+

commit 7958a73c709e47c0ae2dd5b58d07bd0fc7d917e4
Author: lirc <lirc>
Date:   Sun Aug 8 11:54:02 2010 +0000

    change needed for some keys on kernel >=2.6.34

commit 32834f1ca7d566be3650c5ba5999f4c1bd023198
Author: jarodwilson <jarodwilson>
Date:   Tue Jul 27 05:43:21 2010 +0000

    oops, usb_foo_coherent bits showed up in 2.6.34, not 35

commit 9628849ce2498c9b564105875e31314eaf9c04ca
Author: jarodwilson <jarodwilson>
Date:   Sun Jul 25 16:43:32 2010 +0000

    move usb buffer compat bits to kcompat.h

commit 74952ef781eeb457c359cd7dd0595d66d1844886
Author: jarodwilson <jarodwilson>
Date:   Sat Jul 24 14:35:58 2010 +0000

    drivers: usb_buffer_foo to usb_foo_coherent for 2.6.35+

commit 9ef69fb2f92c88271d8a1ac74465022b23152ffc
Author: lirc <lirc>
Date:   Wed Jul 14 19:01:36 2010 +0000

    active high usually means no receiver attached

commit d0642ca75a0e5d9710e9a188141b64f51ea53d95
Author: jarodwilson <jarodwilson>
Date:   Mon Jul 12 03:25:55 2010 +0000

    Put -CVS back following my pre2 cvs branch fail

commit 3b4c64139219b8390bf6ce249befb728f8256059
Author: jarodwilson <jarodwilson>
Date:   Sun Jul 11 03:54:50 2010 +0000

    update version numbers for 0.8.7pre2 snapshot release

commit 46cbaaf3586c4465db8e81b37637b322d5832b5e
Author: jarodwilson <jarodwilson>
Date:   Sun Jul 11 03:28:21 2010 +0000

    config_file: make addSignal use unsigned int instead of lirc_t. Negative values are already disallowed by s_strtolirc_t anyway, this just extends the range of possible values here, and has been tested successfully to fix an issue with lirc_zilog reported on the mythtv-users mailing list ("2147549184": must be a valid (lirc_t) number)

commit 19b2fcee89e40d76ba3d73e745550f4fb900e295
Author: jarodwilson <jarodwilson>
Date:   Sun Jul 11 02:59:43 2010 +0000

    lirc_imon: add mandatory delay before leaving send_packet to throttle writes to displays, fixes numerous display issues

commit e756e89a2186abae55eb2c144bb1a86c01a29500
Author: jarodwilson <jarodwilson>
Date:   Sun Jul 11 02:56:52 2010 +0000

    lirc_mceusb: resync a bit with upstreamed mceusb driver

commit e7d39baf701b99b55ebdafdcd8301670114b627e
Author: lirc <lirc>
Date:   Fri Jul 9 17:07:51 2010 +0000

    fixed linker error when compiling in maintainer mode with all drivers enabled

commit e4d93f60906579f2ac7e666affbaaee73101ab11
Author: lirc <lirc>
Date:   Fri Jul 9 16:54:48 2010 +0000

    use LIRC_SETUP_START/LIRC_SETUP_END only if there actually is something to set up

commit f9c804969876ba540e847c284868dbc7ae39d898
Author: lirc <lirc>
Date:   Sun May 30 12:33:22 2010 +0000

    another Medion P/N 20014752 variation

commit 0d2ad3052090dc879e5a3dad3dd1b87f268faf46
Author: lirc <lirc>
Date:   Sun May 30 11:43:35 2010 +0000

    buffer size too small for 128 bit protocol

commit 09b9905a7ef931d8a2b4435170dbfa7470f18bd3
Author: lirc <lirc>
Date:   Tue May 25 19:12:26 2010 +0000

    prevent 0 time returned by read_raw

commit 59b957ca8df0aaa0f0fefad8db01d4acc829e7fc
Author: lirc <lirc>
Date:   Mon May 24 09:02:30 2010 +0000

    capture code sequences like e.g. used by Pioneer

commit d1aa166378a1dbbbafe18d4a4bf3bdb1c7f03a22
Author: lirc <lirc>
Date:   Mon May 24 09:01:03 2010 +0000

    buffer too small for irrecord in certain situations

commit 083051415f460a59b7abdbc905153909386febae
Author: jarodwilson <jarodwilson>
Date:   Sat May 22 05:01:05 2010 +0000

    Minor fixes from Bastien Nocera

commit 64c32a1edf64bff321b6ba4241aec3c7bef7909e
Author: lirc <lirc>
Date:   Fri May 21 19:59:46 2010 +0000

    typo

commit 0c97c607df349f7ce45c37b42531565db0664cd2
Author: lirc <lirc>
Date:   Wed May 19 17:17:03 2010 +0000

    don't build lirc_gpio anymore for --with-driver=all

commit 9d44dd96675be4f60b76212095e9f501163ee2d7
Author: lirc <lirc>
Date:   Wed May 19 17:13:04 2010 +0000

    device_set_wakeup_capable() in kernel <2.6.27

commit 43de458bc975bd2103bcf957520e44092f7c708b
Author: lirc <lirc>
Date:   Wed May 19 17:11:58 2010 +0000

    fixed compiler warnings and potential wrong ioctl return code

commit 454c6fcc7b24c90b29daaf3bb46eaba104d9d57a
Author: lirc <lirc>
Date:   Wed May 19 16:23:40 2010 +0000

    accept DOS line endings

commit 6e27ce226ad60d456e76c446db0bca45a0ec048f
Author: lirc <lirc>
Date:   Thu May 13 16:24:29 2010 +0000

    no pause when SIM_SEND is enabled

commit c13f605625f2d05d62eb8a2f9fe0cb044d5bda3c
Author: lirc <lirc>
Date:   Thu May 13 16:23:23 2010 +0000

    fixed compilation of slinke tool

commit faac1b16c4f18ecd2ec596c174f3beb5a66e18fc
Author: lirc <lirc>
Date:   Thu May 13 15:45:48 2010 +0000

    add new ioctls to compat function, cleanups

commit 184da72f6688bc0a9e772020dea194428de732f2
Author: lirc <lirc>
Date:   Wed May 12 19:54:29 2010 +0000

    add missing format args

commit 243f7cb38c9603e0a26b04502a567c00c6f6ab15
Author: lirc <lirc>
Date:   Fri May 7 22:08:16 2010 +0000

    handle pathetic case that driver supports two modes

commit 4906dcc26ab7c86480dda67bb74b4e1b3ba7be30
Author: lirc <lirc>
Date:   Fri May 7 22:07:26 2010 +0000

    LIRC_GET_REC_MODE/LIRC_GET_SEND_MODE are still required

commit 943addda4df187b251e7cfaf687ceaf5be3acf27
Author: maximlevitsky <maximlevitsky>
Date:   Fri May 7 12:57:34 2010 +0000

    ENE0100: Make wake on IR configurable
    
    Added ability to disable that feature,
    also allow wake on IR be enabled on shutdown.
    
    Few more cleanups on the way.
    
    Signed-off-by: Maxim Levitsky <maximlevitsky@gmail.com>

commit 259bc13aff2eba58509fbf333338efe419435a0a
Author: maximlevitsky <maximlevitsky>
Date:   Fri May 7 12:55:49 2010 +0000

    ENE0100: send samples too when carrier detect enabled.
    
    Now I know that this is correct behavier

commit 5ee2ee634dfd95dffa875eb49a9ac9172a998dbf
Author: maximlevitsky <maximlevitsky>
Date:   Fri May 7 12:54:38 2010 +0000

    lirc_ene000: add locking to ioctl
    
    This should make safe there are no races against IRQ handler

commit 226400b8c55537121e0c52fc6c0b7529a6d1e428
Author: maximlevitsky <maximlevitsky>
Date:   Fri May 7 12:53:43 2010 +0000

    lirc_dev: create generic implemenation of LIRC_SET_SEND_MODE and LIRC_GET_SEND_MODE
    
    
    This adds generic implementation of these  ioctls
    and removes it from drivers that already use the lirc_dev->features
    It also obsoletes this feature, because it isn't used
    
    Signed-off-by: Maxim Levitsky <maximlevitsky@gmail.com>

commit 1cf4c4d7e2bc765e1f74d3ba4d6d48563b1bc633
Author: maximlevitsky <maximlevitsky>
Date:   Sat May 1 22:39:42 2010 +0000

    ENE0100: few fixes & misc
    
    * Fix possible division by 0
    * Add a guess (might not be supported by hardware) of carrier duty cycle
